Capture a charge
Capture the payment of an existing, uncaptured charge. This is the second half of the two-step payment flow, where first you create a charge with capture=false.
Request Parameters
Path & Query Parameters
Parameters
Request Body
Body Parameters
Responses
200 Charge captured successfully
Returns a Charge object.
400 undefined
401 undefined
Code Samples
- cURL
- Ruby
- Python
- Node.js
curl https://api.omise.co/charges/:id/capture \
-u skey_test_5xuy4w91xqz7d1w9u0t: \
-d capture_amount=value
require 'omise'
Omise.api_key = 'skey_test_5xuy4w91xqz7d1w9u0t'
captureCharge = Omise::Charge.post
import omise
omise.api_secret = 'skey_test_5xuy4w91xqz7d1w9u0t'
captureCharge = omise.Charge.post()
const omise = require('omise')({
secretKey: 'skey_test_5xuy4w91xqz7d1w9u0t'
});
const captureCharge = await omise.charges.post();
ข้อมูลยืนยันตัวตน API
Try it out
Use the interactive form above to test this endpoint.